Cash Balances

Query Parameters
  • organisationCode
    Type: string
  • branchCode
    Type: string
  • advisorCode
    Type: string
  • accountNumber
    Type: string
Responses
  • application/json
Request Example for get/connect-data/cashbalances/v1
curl https://api.uat.openbroker.io/connect-data/cashbalances/v1
[
  {
    "organisationCode": "TPOMAL",
    "accountNumber": "111888",
    "advisorCode": "ADV1",
    "branchCode": "01",
    "tradingAccountLedgers": [
      {
        "currencyCode": "AUD",
        "fxrate": 1,
        "ledgerBalance": 5471.55,
        "ledgerBalance_AUD": 5471.55
      }
    ],
    "bankAccounts": [
      {
        "bankBalance": 21500.3,
        "serviceType": "CMA",
        "transactionType": "DRCR",
        "bankAccountNumber": "12345678",
        "bsb": "063000",
        "lastUpdated": "2025-06-11T22:05:00Z",
        "currency": "AUD",
        "bankAccountName": "James Alan Smith",
        "institutionCode": "MBLA",
        "bankClearedBalance": 21500.3,
        "settlementMethod": "DirectDebit"
      }
    ],
    "outstandingCash": {
      "startOfDayCash": 15000,
      "todayTradeValue": -9528.45,
      "outstandingCash": 5471.55
    }
  }
]